#define pinoEcho 52 //PINO DO SENSOR ULTRASSÔNICO
#define pinoTrig 53 //PINO DO SENSOR ULTRASSÔNICO
#define speaker 51 

unsigned long tempo;
double distancia;

//FUNÇÃO QUE ACIONA O SPEAKER DEPENDENDO DA DISTÂNCIA
void aviso(double rdistancia){
  //APITA QUANDO A DISTÂNCIA ESTA ENTRE 2 E 1,5 METROS
  if(rdistancia <= 200 && rdistancia >= 150){
    digitalWrite(speaker, HIGH);
    delay(800);
    digitalWrite(speaker, LOW);
    delay(700);
  }
  else{
    if(rdistancia <= 149 && rdistancia >= 100){
    digitalWrite(speaker, HIGH);
    delay(500);
    digitalWrite(speaker, LOW);
    delay(400);
    }
    else{
      if(rdistancia <= 99 && rdistancia >= 50){
      digitalWrite(speaker, HIGH);
      delay(200);
      digitalWrite(speaker, LOW);
      delay(100);
      }
      else{
        if(rdistancia < 50){
        digitalWrite(speaker, HIGH);
        }
        else{
          if(rdistancia > 200){
            digitalWrite(speaker, LOW);
          }
        }
      }
    }
  }
}

void setup(){
  pinMode(pinoEcho, INPUT); 
  pinMode(pinoTrig, OUTPUT);
  pinMode(speaker, OUTPUT);
  digitalWrite(pinoTrig, LOW);
}

void loop(){
  digitalWrite(pinoTrig, HIGH);
  delayMicroseconds(10); 
  digitalWrite(pinoTrig, LOW);

  tempo = pulseIn(pinoEcho, HIGH); 

  distancia = tempo / 58; //DIVIDE POR 58 PARA OBTER A DISTÂNCIA EM CENTÍMETROS.
  aviso(distancia);

  delay(100); //FAZ A MEDIÇÃO A CADA 100 MILÉSIMO.
}
